> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get the total number of transactions associated with a specific Cardano address for analytics and pagination.

# Address transaction count



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /addresses/{address}/transactions/count
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /addresses/{address}/transactions/count:
    get:
      tags:
        - Addresses
      summary: Address transaction count
      description: >-
        Returns the number of transactions in which the address spent or
        received some funds.


        Specifically, the number of transactions where: the address controlled
        at least one of the transaction inputs and/or receives one of the
        outputs AND the transaction is phase-2 valid, OR, the address controlled
        at least one of the collateral inputs and/or receives the collateral
        return output AND the transaction is phase-2 invalid. [Read
        more](https://docs.cardano.org/plutus/collateral-mechanism/).
      operationId: tx_count_by_address
      parameters:
        - name: address
          in: path
          description: Address in bech32 format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get the transaction count for an address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedTxCount'
              example:
                data: 11043
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    2d9eda3c353ed1e18bd7219cdee9d4911df9e582d76adf7f85b1f464a78bd5af
                  block_slot: 32265939
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedTxCount:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/TxCount'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    TxCount:
      type: integer
      format: int64
      description: Number of transactions
      minimum: 0
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````